/*
    CSS written by PSLWeb.co.uk for Forstal Siberian (forstalsiberians.co.uk)
    Copyright 2026 PSLWeb.co.uk - All Rights Reserved.

    Notes: 1280px - the breakpoint for the Mobile Menu (based on length of navigation text)
	   1160px - the breakpoint for switching to a one-column layout in the Main
*/
/* Global Reset
   ------------ */
* {
    margin: 0;
    padding: 0;
}

/* Globals
   ------- */
:root {
    --text-col: #000;
    --header-footer-col: #FFF;
    --border-col: #43464C;
    --btn-back-col: #EC2661;
    --line-clamp: 15; /* Default Line Clamp value */
    --line-clamp-compute: 15; /* Used in line-clamp.js */
}

body {
    font-family: "Open Sans", sans-serif;
    font-weight: 360;
    font-style: normal;
    color: var(--text-col);
    box-sizing: border-box;
}
p {
    font-size: 1.3rem;
    line-height: 1.5;
    margin-bottom: 1.4rem;
}
h1, h2, h3 {
    font-family: "PT Serif", serif;
    font-size: 2.5rem;
    font-weight: 400;
    font-style: normal;
    margin-bottom: 1.4rem;
    text-align: center;
    line-height: 1.15;
}
h1 {
    font-size: 2.7rem;
    margin-bottom: 1.4rem;
}
h2 {
    font-size: 2.3rem;
    margin-bottom: 1.4rem;
}
hr {
    margin-bottom: 2rem;
    color: var(--border-col);
}
a {
    color: var(--btn-back-col);
    text-decoration: none;
    font-weight: 600;
}
a[href^="http"]:not([href*="localhost"]):not([href*="forstalsiberians.co.uk"]):not([href*="amazon.co.uk"]) {
    padding-right: 12px;
    background: url(../images/external-link.png) no-repeat right 2px;
}

form {
    width: 100%;
}
label {
    display: block;
    font-size: 1.2rem;
    margin-bottom: 3px;
}
input, textarea {
    display: block;
    box-sizing: border-box;
    font-family: "Open Sans", sans-serif;
    width: 100%;
    font-size: 1.3rem;
    margin-bottom: 1.5rem;
    padding: 0.3rem 0.6rem;
    border: 2px solid var(--border-col);
}
input:focus, textarea:focus {
    outline: 0;
    border-color: var(--btn-back-col);
}
input[type="submit"] {
    width: auto;
    padding: 0.5rem 0.8rem;
    border: 0;
    border-radius: 10px;
    background-color: var(--btn-back-col);
    color: #FFF;
    transition: background-color 0.3s ease;
}
input[type="submit"]:hover {
    background-color: #000;
    transition: background-color 0.3s ease;
    cursor: pointer;
}
label[for="address"], input[name="address"] {
    display: none;
}


header {
    background-color: var(--header-footer-col);
}

/* Main Heading
   ------------ */
.main-heading {
    padding: 15px 3%;
}
@media (min-width: 1280px) {
    .main-heading {
	display: flex;
	padding: 25px 3%;
	gap: 3rem;
	justify-content: center;
	align-items: center;
    }
}

/* Logo
   ---- */
.logo {
    text-align: center;
}
.logo img {
    display: block;
    width: 100%;
    max-width: 420px;
    margin: 0 auto;
}

/* Navigation
   ---------- */
nav {
    padding: 0;
}
nav > * {
    margin: 0 auto;
}
nav p {
    text-align: center;
}
nav ul { /* By default hide all menus... */
    display: none;
    list-style: none;
}
nav ul.show { /* ...but show all with class 'show' */
    display: block;
}
nav li.clone { /* Hide cloned List Items by default... */
    display: none;
}
nav ul.show > li.clone { /* ...but show if a child of an explicitly displayed menu */
    display: block;
}
nav li {
    border-top: 2px solid var(--border-col);;
}
nav a { /* Style Anchors */
    font-family: "Open Sans", sans-serif;
    display: block;
    color: #000;
    padding: 12px 12px 12px 0;
    text-decoration: none;
    font-size: 1.6em;
    font-weight: normal;
}
nav li a::after { /* Add sub-menu indicator to List Items... */
    content: ' \00BB';
}
nav li a:only-child::after { /* ...but only to List Items with sub menus */
    content: '';
}
nav ul ul a { /* Indent sub-menu items only */
    padding-left: 2em;
}
nav a:hover { /* Style hover states */
    color: #F00;
}
@media (min-width: 1024px) {
    nav a {
	font-size: 1.4em;
	padding: 10px 10px 10px 0;
    }
}
@media (min-width: 1280px) {
    nav p { /* Hide Menu Toggle Button */
	display: none;
    }
    nav > ul { /* Show top-level menus */
	display: block;
	text-align: center;
	margin-bottom: 0;
    }
    nav > ul > li { /* Main Menu List Items are inline-block */
	display: inline-block;
	position: relative;
	border-top: 0;
    }
    nav a {
	padding: 10px 15px;
	font-size: 1.1em;
    }
    nav li:first-child a {
	padding-left: 0;
    }
    nav li:last-child a {
	padding-right: 0;
    }
    nav ul ul { /* Sub-menus are hidden and absolutely positioned */
	position: absolute;
	display: none;
	width: 17rem;
	left: 10px;
	top: 100%;
	background-color: #FAFAFA;
	text-align: left;
	border: 2px solid #000;
	border-top: 0;
	z-index: 1;
    }
    nav ul ul a { /* Restore (or change) indent on sub-menu items */
	padding-left: 11px;
    }
    nav.hover li:hover ul { /* Show sub-menu for hover state */
	display: block;
    }
    nav.hover ul a[href='#']:hover { /* 'Grey out' menu items that don't link to separate pages */
	color: #999;
	cursor: default;
    }
}

/* Main
   ---- */
main ul {
    margin: 0 0 1.5rem 1.2rem;
}
main ul.site-map > li {
    margin-bottom: 1.4rem;
}
main li {
    font-size: 1.3rem;
}
main a {
    font-size: 1.3rem;
    transition: color 0.3s ease;
}
main a:hover {
    color: #000;
    text-decoration: underline;
}
main p.button a:hover {
    color: #FFF;
}

/* Sections
   -------- */
main section:last-child article:last-child .main-article-text,
	main section:last-child article:last-child .main-article-img {
    margin-bottom: 0;
}
.section-one-col {
    max-width: 1080px;
    margin: 0 auto;
    padding: 15px 3%;
}
.section-two-col {
    display: flex;
    flex-basis: 100%;
    flex-direction: column;
}

/* Articles
   -------- */
.main-article-text {
    position: relative;
    padding: 0 3%;
    /* align-self: center; Centers Text Vertically */
    margin-bottom: 2rem;
}
.main-article-img {
    margin-bottom: 2rem;
    overflow: hidden;
}
.main-article-img img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}
/*.main-article-img img.img-no-scale {
    height: 100%;
    object-fit: cover;
    object-position: center top;
}
.main-article-img img.read-more-extra {
    display: none;
    margin-top: 25px;
}*/
@media (min-width: 1080px) {
    h1, h2, h3 {
	text-align: left;
    }
    main {
	border-top: 2px solid var(--border-col);
	border-bottom: 2px solid var(--border-col);
    }
    .section-one-col {
	padding: 50px 3%;
    }
    .section-two-col {
	flex-direction: row;
    }
    .two-col-reverse {
	flex-direction: row-reverse;
    }
    .section-two-col .main-article {
	display: flex;
	flex-basis: 100%;
	justify-content: center;
    }
    .main-article-img {
	margin-bottom: 0;
    }
    .main-article-text {
	padding: 50px 8%;
	margin-bottom: 0;
    }
    .main-article-text > *:last-child {
	margin-bottom: 0;
    }
}
@media (min-width: 1200px) {
    .main-article-text {
	padding: 50px 12%;
	margin-bottom: 0;
    }
}

/* Buttons
   ------- */
.button {
    margin: 1.8rem 0 2rem 0;
    text-align: center;
}
.button a, label.button {
    padding: 0.4rem 0.8rem;
    background-color: var(--btn-back-col);
    display: inline-block;
    font-size: 1.1rem;
    color: #FFF;
    font-weight: 600;
    font-family: "PT Serif", serif;
    letter-spacing: 0.05rem;
    border-radius: 10px;
    text-decoration: none;
    font-variant: small-caps;
    transition: background-color 0.3s ease;
}
.button a:hover {
    background-color: #000;
    text-decoration: none;
}
@media (min-width: 1080px) {
    .button {
	text-align: left;
    }
}

/* Read More Text
   -------------- */
.read-more-container {
    display: flex;
    flex-direction: column-reverse;
}
.read-more-text {
    display: -webkit-box;
    -webkit-line-clamp: var(--line-clamp);
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.main-article-text {
    position: relative;
}
.main-article-text.main-article-text-compute {
    position: absolute;
    top: 0;
    left: 0;
    Xvisibility: hidden;
    color: red;
}
.main-article-text.main-article-text-compute .read-more-text {
    -webkit-line-clamp: var(--line-clamp-compute);
}
.read-more-switch {
    display: none;
}
.read-more-switch:checked ~ .read-more-text {
    display: block;
    -webkit-line-clamp: none;
    -webkit-box-orient: initial;
    overflow: auto;
}
.read-more-container label {
    cursor: pointer;
    margin: 0;
}
.read-more-switch:not(:checked) + div > label::before {
    content: "Read More …";
}
.read-more-switch:not(:checked) + div {
    margin-top: 1.4rem;
}
.read-more-switch:checked + div > label::before {
    content: "Read Less";
    margin-top: 0;
}

/* Slideshow
   --------- */
.pslss-container {
    display: flex;
    justify-content: center;
    margin: 1.8rem 0;
}
.pslss-container > * {
    box-sizing: border-box;
    width: 100%;
    max-width: 1080px;
}
.pslss-container .pslss-img-cont {
    position: relative;
    padding-bottom: 65%;
    border: 1px solid var(--border-col);
}
.pslss-container img {
    display: none; /* Hide all images by default (flickering image issue on page load), except the first (see below) */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.pslss-container li:first-child img { /* Show the first image immediately */
    display: block;
    opacity: 1;
}
.pslss-container .pslss-pause-img {
    display: none;
    z-index: 3;
    opacity: 0.6;
}
ul.pslss-img-cont {
    margin: 0;
    list-style: none;
}

/* Lightbox
   -------- */
#pslliv-container {
    position: fixed;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0);
    display: flex;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 4;
}
#pslliv-container > div {
    position: relative;
    border: 10px solid #FFF;
    background-color: #FFF;
}
#pslliv-container img {
    position: relative;
    display: block;
    width: 100%;
    height: auto;
    max-width: 90vw;
    max-height: calc(90vh - 1.5rem);
}
#pslliv-container p {
    position: relative; /* Move paragraph down into border to space evently... */
    top: 5px; /* ...This value should be half the border size (from: #pslliv-container > div) */
    margin-bottom: 0;
    font-size: 1.2rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
#pslliv-container img.closeBtn {
    position: absolute;
    top: -18px;
    right: -18px;
    width: 32px;
    height: 32px;
}
#pslliv-container img.closeBtn:hover {
    cursor: pointer;
}
#pslliv-container img.nextBtn {
    display: block;
    position: absolute;
    top: calc(50% - 1.5rem);
    right: -22px;
    width: 32px;
    height: 32px;
}
#pslliv-container img.nextBtn:hover {
    cursor: pointer;
}
#pslliv-container img.previousBtn {
    display: block;
    position: absolute;
    top: calc(50% - 1.5rem);
    left: -22px;
    width: 32px;
    height: 32px;
}
#pslliv-container img.previousBtn:hover {
    cursor: pointer;
}

/* Gallery
   ------- */
.gallery {
    display: flex;
    flex-wrap: wrap;
    padding: 15px 0;
}
.gallery-column {
    flex-basis: 100%;
}
.gallery img {
    vertical-align: middle;
    width: calc(100% - 10px);
    padding: 10px 10px 0 0;
}
.gallery:last-child {
    padding-right: 5px; /* 5px + 10px (.gallery img) = 15px, otherwise the padding would be 15px + 10px */
}
@media (min-width: 800px) {
    .gallery-column {
	flex-basis: 50%;
    }
}
@media (min-width: 1024px) {
    .gallery-column {
	flex-basis: 33.333333%;
    }
}
@media (min-width: 1280px) {
    .gallery-column {
	flex-basis: 25%;
    }
}

/* YouTube Video */
#videoCont {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    /*height: 25rem;
    margin: -1em 0 2em 0;*/
    border: 2px solid var(--border-col);
    margin: 1.8rem 0 2.2rem 0;
}
#videoCont img, #videoCont iframe {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
#videoCont iframe {
    z-index: 1;
}
.YTVideo {
    background: url(../images/you-tube-play-btn.png) no-repeat left top;
    min-height: 28px;
}
.YTVideo a {
    padding-left: 50px;
}
.YTVideo a[href^="http"]:not([href*="localhost"]):not([href*="forstalsiberians.co.uk"]), #fuof {
    padding-right: 0;
    background: none;
}

/* Footer
   ------ */
footer {
    padding: 35px 3%;
    background-color: var(--header-footer-col);
}
.section-footer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.footer-article {
    max-width: 980px;
    margin-bottom: 15px;
}
.footer-article:last-child {
    margin-bottom: 0;
}
footer p {
    margin-bottom: 0;
    font-size: 1.1rem;
    text-align: center;
}
footer a {
    font-size: 1.1rem;
    transition: color 0.3s ease;
}
footer a:hover {
    color: #000;
    text-decoration: underline;
}